/* -----------------------------------------------------------------------------
*
*  npmswfile.h
*
*  ANTz - realtime 3D data visualization tools for the real-world, based on NPE.
*
*  ANTz is hosted at http://openantz.com and NPE at http://neuralphysics.org
*
*  Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
*
*  Please see main.c for a complete list of additional code contributors.
*
*  To the extent possible under law, the author(s) have dedicated all copyright 
*  and related and neighboring rights to this software to the public domain
*  worldwide. This software is distributed without any warranty.
*
*  Released under the CC0 license, which is GPL compatible.
*
*  You should have received a copy of the CC0 Public Domain Dedication along
*  with this software (license file named COPYING.txt). If not, see
*  http://creativecommons.org/publicdomain/zero/1.0/
*
* --------------------------------------------------------------------------- */

#ifndef NPMSWFILE_H_
#define NPMSWFILE_H_

#include "../../npdata.h"


void npmswGetAppPath (char* buffer, int* size);

void npmswGetCWD (char* buffer, int* size);
void npmswSetCWD (char* buffer);

void npmswGetOpenFilePath (char* buffer, int* size);
void npmswSetOpenFilePath (char* buffer);

FILE* npmswFileDialog (const char* fileName, int dialogType, void* dataRef);

int npmswShowCursor (int hide);
int npmswSetCursorPos (int x, int y);

double npmswGetTime (void);
void npmswUpdateTime (void* dataRef);
void npmswSleep (double seconds);

void npmswTimeStampCSV (char* fileName);

void npmswBeginThread (voidFnPtr vfp, void* dataRef);
void npmswEndThread (void);


#endif

